package com.hfkj.service.gas;

import com.hfkj.entity.BsGasStaff;

import java.util.List;
import java.util.Map;

/**
 * 加油站员工
 * @author hurui
 */
public interface BsGasStaffService {

    /**
     * 编辑员工数据
     * @param gasStaff
     */
    void editData(BsGasStaff gasStaff);

    /**
     * 增加员工
     * @param gasStaff
     */
    void addStaff(BsGasStaff gasStaff) throws Exception;

    /**
     * 修改员工
     * @param gasStaff
     */
    void updateStaff(BsGasStaff gasStaff);

    /**
     * 删除员工
     * @param id
     */
    void delStaff(Long id);

    /**
     * 禁用员工账户
     * @param id
     */
    void disabled(Long id);

    /**
     * 恢复员工账户
     * @param id
     */
    void recover(Long id);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    BsGasStaff getStaffDetailById(Long id);

    /**
     * 查询员工列表
     * @param param
     * @return
     */
    List<BsGasStaff> getStaffList(Map<String, Object> param);
}
